ukui-search (4.10.12.1-ok1) nile; urgency=medium

  * Issues: 无
  * 其他改动：更新翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 03 Jul 2024 14:26:29 +0800

ukui-search (4.10.12.1-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动：
    - 为打开没有默认打开方式的文件时的弹窗设置窗口标题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 03 Jul 2024 14:26:29 +0800

ukui-search (4.10.12.0-ok0) nile; urgency=medium

  * Issues: https://gitee.com/openkylin/ukui-search/issues/I9JX5U?from=project-issue
  * Issues: https://gitee.com/openkylin/ukui-search/issues/I8W3O3?from=project-issue
  * 其他改动：
    - 修复设置页AI模型配置无法跳转的问题
  * 其他改动影响域：
    - 控制面板设置页

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 19 Jun 2024 15:05:29 +0800

ukui-search (4.10.11.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 设置页增加提示AI模型是否配置的按钮
    - 优化应用搜索功能
  * 其他改动影响域：
    - 应用搜索，控制面板设置页

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 12 Jun 2024 15:21:30 +0800

ukui-search (4.10.10.1-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 修复应用搜索详情页中固定到任务栏按钮失效的问题
  * 其他改动影响域：
    - 全局搜索UI

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 05 Jun 2024 18:15:54 +0800

ukui-search (4.10.10.0-ok1) nile; urgency=medium

  * rebuild

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 29 May 2024 09:06:40 +0800

ukui-search (4.10.10.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 适配kare应用
  * 其他改动影响域：
    - 应用数据管理

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 29 May 2024 08:57:19 +0800

ukui-search (4.10.9.0-ok1) nile; urgency=medium

  * rebuild

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 28 May 2024 08:55:21 +0800

ukui-search (4.10.9.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 添加远程调用流程，用于智能数据管理获取文件创建事件
    - 修复只打开AI索引时，删除AI索引目录失败的问题
  * 其他改动影响域：
    - 文件索引功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 27 May 2024 18:03:50 +0800

ukui-search (4.10.8.1-ok1) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - UkuiSearchTask增加一个setMatchAllIfNoKeyword()方法，
    - 如果设置为true则在未添加关键词时匹配所有文件名并返回
  * 其他改动影响域：
    - 文件搜索接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 23 May 2024 13:44:13 +0800

ukui-search (4.10.8.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 修复索引目录为根目录时索引不能正确过滤重复挂载的子卷的问题
    - 增加索引进度监控接口
    - 增加AI索引功能；增加AI搜索插件
    - 文件可读权限发生改变后更新索引
  * 其他改动影响域：
    - 全局搜索UI;文件索引功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 22 Apr 2024 15:39:47 +0800

ukui-search (4.10.7.3-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 搜索框弹出时请求显示虚拟键盘
  * 其他改动影响域：
    - 全局搜索UI

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 19 Mar 2024 19:33:09 +0800

ukui-search (4.10.7.2-ok1) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 14 Mar 2024 09:16:46 +0800

ukui-search (4.10.7.2-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 修复收藏应用接口失效问题
  * 其他改动影响域：
    - 应用数据管理

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 11 Mar 2024 16:47:53 +0800

ukui-search (4.10.7.1-ok1) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Sat, 09 Mar 2024 17:35:16 +0800

ukui-search (4.10.7.1-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 修复关闭索引再打开导致监听丢失的问题
    - 优化索引更新机制
    - 修复打开内容索引时的提示弹窗未在父窗口居中的问题
  * 其他改动影响域：
    - 索引服务,控制面板设置页

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Sat, 09 Mar 2024 16:05:17 +0800

ukui-search (4.10.7.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 删除托盘功能
    - 结果列表中未被截断的项不再显示tooltip
  * 其他改动影响域：
    - 托盘图标，全局搜索UI

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 06 Mar 2024 17:02:06 +0800

ukui-search (4.10.6.8-ok1) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 26 Feb 2024 10:50:32 +0800

ukui-search (4.10.6.8-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 完善内容搜索接口
    - 解决使用360搜索无法打开网页问题
    - 修复无默认打开应用的文件双击无弹窗的问题
    - 解决加载svg（绝对路径的图片）图标失败的问题
    - 删除无用的头文件引用
  * 其他改动影响域：
    - 文件搜索接口；全局搜索UI

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 26 Feb 2024 10:33:39 +0800

ukui-search (4.10.6.7-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 解决pid匹配desktop文件的接口失效问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 06 Feb 2024 16:53:38 +0800

ukui-search (4.10.6.6-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 更新部分文件copyright
    - 优化应用数据服务中通过pid匹配desktop文件的接口
    - 解决find_package无法正确引用ukui-search的问题
  * 其他改动影响域：
    - 无

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 06 Feb 2024 09:50:49 +0800

ukui-search (4.10.6.5-ok1) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 30 Jan 2024 15:54:07 +0800

ukui-search (4.10.6.5-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 解决内容索引配置文件未自动生成的问题
  * 其他改动影响域：
    - 文件索引

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 30 Jan 2024 15:03:08 +0800

ukui-search (4.10.6.4-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 解决应用数据接口改动二进制不兼容问题
  * 其他改动影响域：
    - 所有依赖libukui-search2的库

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 26 Jan 2024 10:28:32 +0800

ukui-search (4.10.6.3-ok0) nile; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I8WVVI?from=project-issue
  * 其他改动：
    - 关闭内容索引时自动关闭OCR索引开关
    - 增加文本内容解析配置功能和强制执行增量更新功能
    - 使用元数据缩略图接口生成图片缩略图
  * 其他改动影响域：
    - 全局搜索UI,文件索引服务

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 25 Jan 2024 10:38:51 +0800

ukui-search (4.10.6.2-ok0) nile; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I8W3O3
  * 其他改动：
    - 解决偶现找不到浏览器图标的问题
    - 修复多线程使用应用数据库接口查询时会出现错误的问题
    - 应用数据服务新增对删除应用目录或其父目录的处理
  * 其他改动影响域：
    - 网页搜索插件，应用数据服务和接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 15 Jan 2024 13:46:38 +0800

ukui-search (4.10.6.1-ok1) nile; urgency=medium

  * 重新打包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 28 Dec 2023 11:08:22 +0800

ukui-search (4.10.6.1-ok0) nile; urgency=medium

  * Issues:无
  * 去除子项目C++版本限制，重新打包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 28 Dec 2023 10:37:24 +0800

ukui-search (4.10.6.0-ok0) nile; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I8OBY8
  * 其他改动：
    - 解决部分搜索插件搜索结果中含有换行符时UI显示异常的问题
    - 修改索引弹窗和搜索框之间的交互逻辑
  * 其他改动影响域：
    - 文本内容搜索，搜索窗口隐藏逻辑

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 27 Dec 2023 16:24:05 +0800

ukui-search (4.10.5.0-ok0) nile; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I8J794
  * 其他改动：
    - 应用数据管理kaiming包的配置修改
    - 搜索结果列表样式适配ukui主题
    - 文件搜索接口适配GB18030-2022字符
  * 其他改动影响域：
    - 应用搜索，应用数据管理，文件搜索接口，搜索UI样式

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 15 Dec 2023 10:35:59 +0800

ukui-search (4.10.4.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 应用数据管理增加对flatpak和kaiming包的适配
  * 其他改动影响域：
    - 应用搜索，应用数据管理

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 05 Dec 2023 14:13:23 +0800

ukui-search (4.10.3.0-ok0) nile; urgency=medium

  * Issues:无
    * 其他改动：
      - 优化根据winID查找desktop文件的接口，修复偶现返回错误问题
      - 优化应用搜索功能，增加对desktop文件中Keywords的匹配
    * 其他改动影响域：
      - 应用搜索，应用数据管理

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 29 Nov 2023 18:02:11 +0800

ukui-search (4.10.2.1-ok1) nile; urgency=medium

  * Rebuild

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 27 Nov 2023 17:31:42 +0800

ukui-search (4.10.2.1-ok0) nile; urgency=medium

  * Issues:null
  * 其他改动：
    - 解决编译问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 27 Nov 2023 11:23:55 +0800

ukui-search (4.10.2.0-ok0) nile; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I7WFR9
    * 其他改动：
      - 搜索结果列表使用主题的默认行高
      - 适配主题列表自动高亮选中功能
      - 解决埋点上传失败问题
      - 适配主题窗口圆角配置和控件圆角配置
    * 其他改动影响域：
      - 搜索页面；数据埋点

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 22 Nov 2023 13:44:47 +0800

ukui-search (4.10.1.1-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 修改数据埋点格式
  * 其他改动影响域：
    - 数据埋点

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 16 Nov 2023 10:53:20 +0800

ukui-search (4.10.1.0-ok1) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 增加编译依赖

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 15 Nov 2023 14:32:37 +0800

ukui-search (4.10.1.0-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 优化搜索应用在线应用详情页显示
    - 添加维哈柯德西法语的翻译
    - 适配系统时间格式
    - 修复多用户时查看索引状态的命令行失效的问题
    - 搜索插件增加数据埋点收集功能
    - 适配kylin-process-manager接口
    - 优化应用数据库记录应用打开次数功能
    - 修复了一个问题，该问题曾导致应用数据库在某些状态下重建失败
    - 使用ukui-file-metadata提供的文件内容解析接口替换原有功能
  * 其他改动影响域：
    - 文件索引功能，全局搜索UI界面显示，应用数据服务功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 15 Nov 2023 11:02:42 +0800

ukui-search (4.10.0.0-ok1) nile; urgency=medium

  * 修复一个编译问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 25 Oct 2023 10:38:25 +0800

ukui-search (4.10.0.0-ok0) nile; urgency=medium

  * Issues:I80XSV
  * 其他改动：
    - 优化全局搜索应用的内存占用
    - 为OCR内容索引增加单独的数据库和单独控制开关
    - 增加查看当前索引状态的命令行
    - 修改设置搜索的匹配策略，使用全新的词条展示样式
    - 添加托盘图标右键菜单
  * 其他改动影响域：
    - 文件索引功能，设置搜索功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 25 Oct 2023 10:17:39 +0800

ukui-search (4.0.6.1-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 修复了一个远程桌面连接时偶现的崩溃问题
      该问题曾导致远程连接建立后，本地进程退出后，远程的进程dbus接口被调用时偶现崩溃
  * 其他改动影响域：
    - 远程桌面连接场景稳定性

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 15 Sep 2023 09:28:52 +0800

ukui-search (4.0.6.0-ok0) yangtze; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I72YR2
  * 其他改动：
    - 修复双击搜索框搜索图标图标会高亮的问题
    - 修正索引建立提示弹窗文案
    - 文本索引在解析到无法正确检测到编码格式的文本文件时，
      直接跳过以避免解析成乱码
    - 修复设置页面上添加的索引目录被删除时，无法从ui上删除对应目录的问题
    - 优化设置搜索结果展示方式，解决issue I72YR2
    - 适配多display场景下dbus唤起功能
  * 其他改动影响域：
    - 搜索应用UI
    - 文件内容索引（txt文本文件）
    - 搜索设置页面
    - 远程桌面场景适配

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 14 Sep 2023 16:40:50 +0800

ukui-search (4.0.5.0-ok0) yangtze; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I7GUVQ
  * 其他改动：
    - 修复了一个极小概率出现的崩溃问题
    - 修复了错误的开关索引控制逻辑
    - 修复关闭索引开关时导致内容索引监听丢失的问题
    - 修复搜索页面中展开收起按钮偶尔消失的问题
  * 其他改动影响域:
    - 文件索引和内容索引开关功能
    - 稳定性提升
    - 搜索应用UI

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 08 Sep 2023 08:56:29 +0800

ukui-search (4.0.4.1-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 优化应用根据wid查找desktop文件的接口
    - 更新前端翻译文件的安装位置
  * 其他改动影响域：
    - 应用打开次数记录功能（开始菜单排序）
  * 备注：解决了上个版本的包冲突问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 25 Aug 2023 10:06:27 +0800

ukui-search (4.0.4.0-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 修复应用数据服务信号时序错误问题,该问题曾导致开始菜单偶现不能正确响应
      应用的安装和卸载
    - 增加了一个文件内容索引开关，索引控制更加人性化
    - 使用cmake重新构建项目
  * 其他改动影响域：
    - 文件索引服务
    - 开始菜单应用列表对应用安装卸载的响应

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 21 Aug 2023 10:26:53 +0800

ukui-search (4.0.3.1-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 修复平板模式小插件加载失败的问题
    - 修复一些蒙古文翻译问题
    - 应用搜索调用应用商店接口接口改为异步调用
    - 修复文件索引中部分中文字符在term中被截断的问题
    - 修复文件索引关闭再打开后丢失监听的问题
    - 修复文件内容搜索详情页展示的片段中偶现截断中文字符的问题
  * 其他改动影响域：
    - 平板模式小插件
    - 应用搜索
    - 文件索引服务
    - gb18030-2022标准字符支持

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 01 Aug 2023 14:10:45 +0800

ukui-search (4.0.3.0-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 增加蒙古文翻译
    - 解决内容搜索插件详情页加载大图片时阻塞ui的问题
    - 修改英文下无默认打开应用提示框的按钮文字为OK
    - 完善搜索服务插件生命周期管理;增加搜索隐藏文件功能
    - 修复搜索一次后隐藏界面再次唤醒会闪一下的问题
    - 修复搜索接口多线程搜索偶现崩溃问题
    - 修复展开按钮点击后高亮的问题
  * 其他改动影响域：
    - 搜索引用UI展开收起功能
    - 内容搜索显示图片文件详情页功能
    - 无默认应用打开提示弹窗
    - 搜索UI打开关闭
    - 搜索服务接口稳定性

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 14 Jul 2023 10:26:11 +0800

ukui-search (4.0.2.3-ok0) yangtze; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I7E1IK?from=project-issue
  * 其他改动：
    - 补充设置页藏文翻译
    - 解决当搜索UI关闭后未正确停止插件搜索线程的问题
    - 解决遍历搜索时文件搜索插件长时间cpu占用较高的问题
    - 解决文件搜索接口在使用索引搜索根目录时无法搜到文件的问题
  * 其他改动影响域：
    - 控制面板设置页
    - 全局搜索应用UI结果列表
    - 文件搜索功能
    - 文件搜索接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 19 Jun 2023 14:28:06 +0800

ukui-search (4.0.2.2-ok0) yangtze; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I72NP7
  * 其他改动：无

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 07 Jun 2023 15:44:31 +0800

ukui-search (4.0.2.1-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 修复添加索引目录后索引状态未更新的问题
    - 搜索接口增加搜索结果通知机制和状态查询功能
    - 搜索设置页面添加搜索目录时增加对无访问权限目录的过滤弹窗
    - 优化搜索设置页面弹窗文案
    - 修复了一个分词库的问题，该问题曾导致搜索或搜索服务在首次启动时偶现崩溃
  * 其他改动影响域:
    - 搜索服务接口，搜索设置页面增加搜索目录功能，搜索和搜索服务稳定性提升

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 06 Jun 2023 15:25:44 +0800

ukui-search (4.0.1.5-ok0) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 解决一处潜在的崩溃问题
    - 修复搜索插件生命周期管理内存泄漏问题
    - 修复搜索到需要安装的应用时无法正确跳转到软件商店的问题
    - 修复偶现刚登陆时搜索会卡顿一段时间的问题
    - 优化黑名单配置后台逻辑
  * 其他改动影响域:
    - 应用搜索功能；索引服务稳定性；升级时配置同步

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 11 May 2023 18:00:59 +0800

ukui-search (4.0.1.3-ok0) yangtze; urgency=medium

  * 更新版本号.

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 27 Apr 2023 14:11:36 +0800

ukui-search (4.0.1.2-ok0~0421) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 解决全局搜索中遍历搜索不能搜索到顶层文件夹的问题
    - 解决索引提示弹窗会挡住模态窗口的问题
    - 修复了一个问题，该问题曾导致添加曾经删除过的搜索目录时无法正确索引
  * 其他改动影响域：
    - 不开索引时的文件夹搜索功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 20 Apr 2023 11:40:39 +0800

ukui-search (4.0.1.1-ok0~0419) yangtze; urgency=medium

  * 备注:修复编译问题，重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 19 Apr 2023 10:53:46 +0800

ukui-search (4.0.1.0-ok0~0418build1) yangtze; urgency=medium

  * 备注:重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 18 Apr 2023 17:48:00 +0800

ukui-search (4.0.1.0-ok0~0418) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 应用数据服务增加设置应用是否打开过的接口
    - 应用数据库增加AUTO_START字段
    - 优化所有进程的日志打印机制
  * 其他改动影响域：
    - 开始菜单应用列表显示；
    - 日志现在被打印到~/.log/ukui-search/目录下

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 18 Apr 2023 17:03:50 +0800

ukui-search (4.0.0.0-ok0~0413) yangtze; urgency=medium

  * 备注：去除libopencv-dev依赖重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 13 Apr 2023 17:44:34 +0800

ukui-search (4.0.0.0-ok0~0412build1) yangtze; urgency=medium

  * 备注：重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 12 Apr 2023 18:51:21 +0800

ukui-search (4.0.0.0-ok0~0412) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 优化搜索服务目录管理模块
  * 其他改动影响域：
    - 文件索引目录配置功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 12 Apr 2023 18:12:32 +0800

ukui-search (3.22.5.2-ok0~0324) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 优化应用数据服务，完善数据库查询和搜索接口实现。
    - 文件索引服务优化inotify信号处理，解决若干由于信号处理不当导致的索引不正确问题
    - 完善搜索服务文件搜索接口
    - 增加UI针对屏幕尺寸变化时的自动更新位置操作
    - 提升文本内容搜索准确度
  * 其他改动影响域:
    - 屏幕旋转时UI位置；应用搜索功能；文件索引服务；文件内容搜索功能。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 24 Mar 2023 13:58:05 +0800

ukui-search (3.22.4.2-ok0~0210) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 解决在控制面板中搜索‘搜索’插件部分设置项无法搜到的问题。
    - 更新libukui-search的pc文件。
    - 优化应用搜索功能；修复偶现搜索结果重复问题。
    - 修复偶现的由于队列处理不当导致的搜索应用崩溃问题。
    - 修复当通过弹窗打开索引时，控制面板中不显示模糊搜索开关的问题。
  * 其他改动影响域:
    - 应用搜索功能；控制面板设置插件；全局搜索应用稳定性。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 10 Feb 2023 11:26:15 +0800

ukui-search (3.22.4.1-ok0~0105) yangtze; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-search/issues/I64CCY?from=project-issue
  * 其他改动：
    - 增加文件监听对unmount信号的处理。
    - 更新设置搜索接口，解决设置搜索不准确的问题。
    - 解决在目录发生变动时，控制面板索引目录选择页面为更新的问题。
    - 解决了一些内存泄露问题。
    - 解决系统字体变化时UI未能及时更新的问题。
    - 增加桌面小插件不随系统缩放更改尺寸的特性。
  * 其他改动影响域：
    - 全局搜索UI；文件索引功能；设置项搜索功能;桌面搜索插件;控制面板搜索设置页。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 05 Jan 2023 10:43:22 +0800

ukui-search (3.22.3.1-ok0~1222) yangtze; urgency=medium

  * Issues:NULL
  * 其他改动：
    - 解决平板模式下搜索结果列表右侧被滚动条遮挡的问题。
    - 修复反复开关索引导致的索引异常问题（偶现打开索引失败）。
    - 解决注册文本内容插件命令失效问题。
    - 搜索服务应用数据库新增跟随版本更新机制。
    - 更新README.md。
  * 其他改动影响域：
    - 全局搜索UI；文件索引功能；应用搜索功能；应用数据服务。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 22 Dec 2022 11:36:41 +0800

ukui-search (3.22.3.0-ok0~1212) yangtze; urgency=medium

  * Issues: https://gitee.com/openkylin/ukui-search/issues/I658EV?from=project-issue
            https://gitee.com/openkylin/ukui-search/issues/I657OY?from=project-issue
            https://gitee.com/openkylin/ukui-search/issues/I657G6?from=project-issue
  * 其他改动：
    - 完善汉字转拼音接口逻辑，解决多音字识别不准确的问题。
    - 增加索引数据库版本号机制，版本号升级时将重建数据库。
    - 修复UI最佳匹配与结果分类触摸行为不一致的问题。
    - 增加控制面板插件模糊搜索开关，添加搜索目录功能。
    - 解决添加和删除索引目录异常的问题。
    - 解决wayland下失焦后再激活窗口后焦点异常问题。
    - 增加了一个用于调试的索引状态监控页面，可通过'ukui-search-service -m'打开
  * 其他改动影响域：
    - 全局搜索UI；文件索引功能；控制面板插件；拼音搜索功能。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 12 Dec 2022 15:49:35 +0800

ukui-search (3.22.2.1-ok0~1130) yangtze; urgency=medium

  * Issues: https://gitee.com/openkylin/ukui-search/issues/I63XWF?from=project-issue
  * 其他改动：无

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 30 Nov 2022 16:44:46 +0800

ukui-search (3.22.2.0-ok0~1129build1) yangtze; urgency=medium

  * 解决编译问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 29 Nov 2022 15:15:40 +0800

ukui-search (3.22.2.0-ok0~1129) yangtze; urgency=medium

  * Issues: NULL
  * 任务号：无
  * 其他改动：
    - 增加搜索应用插件动态注册、注销、排序功能.
    - 优化文件索引操作.
    - 增加文件内容模糊搜索功能.
  * 其他改动说明：
    - 搜索应用插件的注册、注销与排序目前能通过命令行实现。
    - 取消了文件索引服务的子进程，优化了文件索引的资源占用，索引
      服务暂停后再启动采取增量更新模式。
    - 增加了一个gsettings,用于设置文本内容的搜索模式。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 29 Nov 2022 14:47:34 +0800

ukui-search (3.22.1.0-ok1~1122) yangtze; urgency=medium

  * 更新版本号

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 22 Nov 2022 11:26:21 +0800

ukui-search (3.22.1.0-ok0~1122build2) yangzte; urgency=medium

  * 更新版本号

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 22 Nov 2022 11:06:40 +0800

ukui-search (3.22.1.0-ok0~1122build1) yangtze; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 22 Nov 2022 10:50:53 +0800

ukui-search (3.22.1.0-ok0~1122) yangtze; urgency=medium

  * Issues: https://gitee.com/openkylin/ukui-search/issues/I5XA17
  * 任务号：无
  * 其他改动：
    - 修复结果列表文字显示不居中的问题.
    - 搜索插件接口增加一个反向调用接口，应用搜索增加截图打开时隐藏主页面动作。
    - 解决平板模式下，单机结果项直接执行打开动作，无法打开详情页的问题。
    - Optimize the contructor and pluginUi function of search plugin for ukcc.
    - 修复内容搜索详情页加载图片失败导致的崩溃问题.
    - 修复控制面板搜索插件崩溃的问题.
    - Fixed: the app-data-service crashes when the destructor is executed.
    - 同步分词模块<更新分词基础词库内容，分词准确性提升>.
  * 其他改动影响域：搜索UI；文本内容索引分词效果。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 22 Nov 2022 10:29:34 +0800

ukui-search (3.22.0.0-ok0~1021) yangtze; urgency=medium

  * BUG: 无
  * 任务号：无
  * 其他改动：同步主线代码，增加平板桌面小插件功能
  * 其他改动影响域：全局搜索自身，平板桌面小插件

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 21 Oct 2022 11:13:06 +0800

ukui-search (3.14.0.6-ok2~0720) yangtze; urgency=medium

  * BUG: 无
  * 任务号：无
  * 其他改动：使用kysdk接口，在wayland环境设置跳过任务栏和多任务视图显示；
              Fix bug:The background dose not follow the theme to change. 
  * 其他改动影响域：搜索UI显示。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 20 Jul 2022 15:04:40 +0800

ukui-search (3.14.0.6-ok2~0716) yangtze; urgency=medium

  * build for openKylin
  * 适配应用管理器接口
  * 使用kysdk接口以解决wayland环境下窗口位置异常问题双标题栏问题.
  * 修改dbus参数由qurl改为qstring
  * Add a mainWindow switch dbus interface.
  * sync #125632 action label's color doesn't change whth the heightlight color.
  * sync #127327 adjust the heightlight effect of ukcc plugin's switchbutton
  * 处理富文本超长问题
  * 优化关键词高亮方案，结果项显示效果适配主题框架。
  * 修复标题栏展开置顶后，点击收回位置错误问题
  * 增加正则表达式转义，避免偶现的搜索UI卡死现象。
  * close-cd #127732 #127792 the ukui-search do not quit while losing focus.

 -- Xie Wei <xiewei@kylinos.cn>  Sat, 18 Jun 2022 10:43:24 +0800

